Polarix.io
    • Introduction to the Polarix.io API
    • Polarix.io Interface & Branding
    • Authentication
      POST
    • Users
      GET
    • Project List
      GET
    • Project
      GET
    • Project Structure
      GET
    • Project Lexicon
      GET
    • Project Glossary
      GET
    • Project Tags
      GET
    • Project Items
      GET
    • Project Abbreviations
      GET
    • Project References
      GET
    • Project Resources
      GET
    • Project History
      GET
    • Project Search
      GET

      Project Resources

      LIVE
      https://app.polarix.io
      LIVE
      https://app.polarix.io
      GET
      https://app.polarix.io
      /api/{version}/projects/{project_id}/resources
      Retrieves Project resources based on the {project_id} path parameter. Project ID is retrieved by calling the "Project List" endpoint.
      Filtering can be performed by providing a {section_id} and/or {item_id} parameter.

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      Path Params

      Query Params

      Header Params

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location -g --request GET 'https://app.polarix.io/api/1.0/projects/6582ed0344adfe123d04f772/resources?type=video&pin=1' \
      --header 'x-api-key: bfa770cb2281e260557d5a51462d6194' \
      --header 'Accept: application/json' \
      --header 'Authorization: Bearer <token>'

      Responses

      🟢200Success — JSON
      application/json
      Body

      Example
      [
          {
              "name": "Glioblastoma Multiforme: what you need to know",
              "user_id": 1,
              "project_id": 1,
              "file": "https://youtu.be/4s5sP2n7FYQ",
              "thumbnail": null,
              "type": "video",
              "is_reference": 0,
              "contents": null,
              "context": null,
              "pin": 0,
              "veeva_document_id": null,
              "initial_veeva_sync": 0,
              "exclude_ai": 0,
              "created_at": "2021-05-04T12:44:38.000000Z",
              "updated_at": "2021-05-04T12:44:38.000000Z",
              "deleted_at": null,
              "reference_uses": 0,
              "created_at_formatted": "05/04/2021 12:05",
              "created_at_formatted_ymd": "05/04/2021",
              "updated_at_formatted_ymd": "05/04/2021",
              "veeva_created_at_formatted_ymd": null,
              "item_content_uses": 0,
              "veeva_document": null,
              "image_references": [],
              "id": 17
          },
          {
              "name": "Overcoming Grade 4 Glioblastoma: Ed’s Story",
              "user_id": 1,
              "project_id": 1,
              "file": "https://youtu.be/ljKAcJULprg",
              "thumbnail": null,
              "type": "video",
              "is_reference": 0,
              "contents": null,
              "context": null,
              "pin": 0,
              "veeva_document_id": null,
              "initial_veeva_sync": 0,
              "exclude_ai": 0,
              "created_at": "2021-05-04T12:44:57.000000Z",
              "updated_at": "2021-05-04T12:44:57.000000Z",
              "deleted_at": null,
              "reference_uses": 0,
              "created_at_formatted": "05/04/2021 12:05",
              "created_at_formatted_ymd": "05/04/2021",
              "updated_at_formatted_ymd": "05/04/2021",
              "veeva_created_at_formatted_ymd": null,
              "item_content_uses": 0,
              "veeva_document": null,
              "image_references": [],
              "id": 18
          },
          {
              "name": "Right Parietal Glioblastoma",
              "user_id": 9,
              "project_id": 1,
              "file": "https://vimeo.com/208525391",
              "thumbnail": null,
              "type": "video",
              "is_reference": 0,
              "contents": null,
              "context": null,
              "pin": 0,
              "veeva_document_id": null,
              "initial_veeva_sync": 0,
              "exclude_ai": 0,
              "created_at": "2021-05-05T16:47:52.000000Z",
              "updated_at": "2021-05-05T16:47:52.000000Z",
              "deleted_at": null,
              "reference_uses": 0,
              "created_at_formatted": "05/05/2021 16:05",
              "created_at_formatted_ymd": "05/05/2021",
              "updated_at_formatted_ymd": "05/05/2021",
              "veeva_created_at_formatted_ymd": null,
              "item_content_uses": 0,
              "veeva_document": null,
              "image_references": [],
              "id": 23
          },
          {
              "name": "What are astrocytes?",
              "user_id": 72,
              "project_id": 1,
              "file": "https://youtu.be/Utaeaz-tD5s",
              "thumbnail": null,
              "type": "video",
              "is_reference": 0,
              "contents": null,
              "context": null,
              "pin": 0,
              "veeva_document_id": null,
              "initial_veeva_sync": 0,
              "exclude_ai": 0,
              "created_at": "2023-03-21T11:51:33.000000Z",
              "updated_at": "2023-03-21T11:51:33.000000Z",
              "deleted_at": null,
              "reference_uses": 0,
              "created_at_formatted": "03/21/2023 11:03",
              "created_at_formatted_ymd": "03/21/2023",
              "updated_at_formatted_ymd": "03/21/2023",
              "veeva_created_at_formatted_ymd": null,
              "item_content_uses": 1,
              "veeva_document": null,
              "image_references": [],
              "id": 2989
          }
      ]
      🔴500Server Error — JSON
      🟢200Success — XML
      🟠401Unauthorized — JSON
      🟠401Unauthorized — XML
      🔴500Server Error — XML
      Modified at 2026-04-02 11:42:45
      Previous
      Project References
      Next
      Project History
      Built with